/* Exemplet har indata via formulär och utdata i ett element på webbsidan. */
// --------------------------------------------------
// Globala variabler och konstanter
let amountElem;         // input-element för lånebelopp
let nrOfYearsMenu;      // select-elementet för menyn
let resElem;            // Element för resultat
const interest = 4.2;   // Räntesats per år
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
    amountElem = document.querySelector("#amount");
    nrOfYearsMenu = document.querySelector("#nrOfYears");
	resElem = document.querySelector("#result");
	document.querySelector("#okBtn").addEventListener("click", calculatePayment);
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Beräkna månadskostnad för annuitetslån
function calculatePayment() {
    let a = amountElem.value;
    let n = nrOfYearsMenu.value * 12; // Antal månader
    let i = interest / 100 / 12; // Räntesats per månad
	let payment = a * i / (1 - (1 + i) ** (-n));
        // Formel från https://sv.wikipedia.org/wiki/Annuitetsl%C3%A5n
	resElem.innerText = parseInt(payment) + " kr per månad";
} // End calculatePayment
// --------------------------------------------------
