/* Exemplet har indata via formulär och utdata i ett element på webbsidan. */
// --------------------------------------------------
// Globala variabler och konstanter
let loanDialog;         // dialog-element för låneformuläret
let amountElem;         // input-element för lånebelopp
let nrOfYearsMenu;      // select-elementet för menyn
let resElem;            // Element för resultat
const interest = 4.2;   // Räntesats i procent per år
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
    loanDialog = document.querySelector("#loanDialog");
    nrOfYearsMenu = document.querySelector("#nrOfYears");
	amountElem = document.querySelector("#amount");
	resElem = document.querySelector("#result");
    document.querySelector("#loanBtn").addEventListener("click", showLoanDialog);
	document.querySelector("#okBtn").addEventListener("click", closeLoanDialog);
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Visa modal dialog för låneuppgifter
function showLoanDialog() {
    loanDialog.showModal();
} // Slut showLoanDialog
// --------------------------------------------------
// Stäng dialog för låneuppgifter och anropa funktion månadskostnad
function closeLoanDialog() {
    loanDialog.close();
    calculatePayment();
} // Slut closeLoanDialog
// --------------------------------------------------
// Beräkna månadskostnad för annuitetslån
function calculatePayment() {
    let a = amountElem.value;
    let n = nrOfYearsMenu.value * 12; // Antal månader
    let i = interest / 100 / 12; // Räntesats per månad
	let payment = a * i / (1 - (1 + i) ** (-n));
        // Formel från https://sv.wikipedia.org/wiki/Annuitetsl%C3%A5n
	resElem.innerText = parseInt(payment) + " kr per månad";
} // End calculatePayment
// --------------------------------------------------
